org.apache.hadoop.yarn.server.api.protocolrecords

## Class NodeHeartbeatRequest

- java.lang.Object
- - org.apache.hadoop.yarn.server.api.protocolrecords.NodeHeartbeatRequest

- Direct Known Subclasses:
    NodeHeartbeatRequestPBImpl

      public abstract class NodeHeartbeatRequest
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeHeartbeatRequest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract MasterKey` | `getLastKnownContainerTokenMasterKey()`
    `abstract MasterKey` | `getLastKnownNMTokenMasterKey()`
    `abstract List<LogAggregationReport>` | `getLogAggregationReportsForApps()`
    `abstract Set<org.apache.hadoop.yarn.api.records.NodeAttribute>` | `getNodeAttributes()`
    `abstract Set<org.apache.hadoop.yarn.api.records.NodeLabel>` | `getNodeLabels()`
    `abstract NodeStatus` | `getNodeStatus()`
    `abstract Map<org.apache.hadoop.yarn.api.records.ApplicationId,AppCollectorData>` | `getRegisteringCollectors()`
    `static NodeHeartbeatRequest` | `newInstance(NodeStatus nodeStatus, MasterKey lastKnownContainerTokenMasterKey, MasterKey lastKnownNMTokenMasterKey, Set<org.apache.hadoop.yarn.api.records.NodeLabel> nodeLabels)`
    `static NodeHeartbeatRequest` | `newInstance(NodeStatus nodeStatus, MasterKey lastKnownContainerTokenMasterKey, MasterKey lastKnownNMTokenMasterKey, Set<org.apache.hadoop.yarn.api.records.NodeLabel> nodeLabels, Map<org.apache.hadoop.yarn.api.records.ApplicationId,AppCollectorData> registeringCollectors)`
    `static NodeHeartbeatRequest` | `newInstance(NodeStatus nodeStatus, MasterKey lastKnownContainerTokenMasterKey, MasterKey lastKnownNMTokenMasterKey, Set<org.apache.hadoop.yarn.api.records.NodeLabel> nodeLabels, Set<org.apache.hadoop.yarn.api.records.NodeAttribute> nodeAttributes, Map<org.apache.hadoop.yarn.api.records.ApplicationId,AppCollectorData> registeringCollectors)`
    `abstract void` | `setLastKnownContainerTokenMasterKey(MasterKey secretKey)`
    `abstract void` | `setLastKnownNMTokenMasterKey(MasterKey secretKey)`
    `abstract void` | `setLogAggregationReportsForApps(List<LogAggregationReport> logAggregationReportsForApps)`
    `abstract void` | `setNodeAttributes(Set<org.apache.hadoop.yarn.api.records.NodeAttribute> nodeAttributes)`
    `abstract void` | `setNodeLabels(Set<org.apache.hadoop.yarn.api.records.NodeLabel> nodeLabels)`
    `abstract void` | `setNodeStatus(NodeStatus status)`
    `abstract void` | `setRegisteringCollectors(Map<org.apache.hadoop.yarn.api.records.ApplicationId,AppCollectorData> appCollectorsMap)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeHeartbeatRequest

          public NodeHeartbeatRequest()

  - ### Method Detail

    - #### newInstance

          public static NodeHeartbeatRequest newInstance(NodeStatus nodeStatus,
                                                         MasterKey lastKnownContainerTokenMasterKey,
                                                         MasterKey lastKnownNMTokenMasterKey,
                                                         Set<org.apache.hadoop.yarn.api.records.NodeLabel> nodeLabels)

    - #### newInstance

          public static NodeHeartbeatRequest newInstance(NodeStatus nodeStatus,
                                                         MasterKey lastKnownContainerTokenMasterKey,
                                                         MasterKey lastKnownNMTokenMasterKey,
                                                         Set<org.apache.hadoop.yarn.api.records.NodeLabel> nodeLabels,
                                                         Map<org.apache.hadoop.yarn.api.records.ApplicationId,AppCollectorData> registeringCollectors)

    - #### newInstance

          public static NodeHeartbeatRequest newInstance(NodeStatus nodeStatus,
                                                         MasterKey lastKnownContainerTokenMasterKey,
                                                         MasterKey lastKnownNMTokenMasterKey,
                                                         Set<org.apache.hadoop.yarn.api.records.NodeLabel> nodeLabels,
                                                         Set<org.apache.hadoop.yarn.api.records.NodeAttribute> nodeAttributes,
                                                         Map<org.apache.hadoop.yarn.api.records.ApplicationId,AppCollectorData> registeringCollectors)

    - #### getNodeStatus

          public abstract NodeStatus getNodeStatus()

    - #### setNodeStatus

          public abstract void setNodeStatus(NodeStatus status)

    - #### getLastKnownContainerTokenMasterKey

          public abstract MasterKey getLastKnownContainerTokenMasterKey()

    - #### setLastKnownContainerTokenMasterKey

          public abstract void setLastKnownContainerTokenMasterKey(MasterKey secretKey)

    - #### getLastKnownNMTokenMasterKey

          public abstract MasterKey getLastKnownNMTokenMasterKey()

    - #### setLastKnownNMTokenMasterKey

          public abstract void setLastKnownNMTokenMasterKey(MasterKey secretKey)

    - #### getNodeLabels

          public abstract Set<org.apache.hadoop.yarn.api.records.NodeLabel> getNodeLabels()

    - #### setNodeLabels

          public abstract void setNodeLabels(Set<org.apache.hadoop.yarn.api.records.NodeLabel> nodeLabels)

    - #### getLogAggregationReportsForApps

          public abstract List<LogAggregationReport> getLogAggregationReportsForApps()

    - #### setLogAggregationReportsForApps

          public abstract void setLogAggregationReportsForApps(List<LogAggregationReport> logAggregationReportsForApps)

    - #### getRegisteringCollectors

          public abstract Map<org.apache.hadoop.yarn.api.records.ApplicationId,AppCollectorData> getRegisteringCollectors()

    - #### setRegisteringCollectors

          public abstract void setRegisteringCollectors(Map<org.apache.hadoop.yarn.api.records.ApplicationId,AppCollectorData> appCollectorsMap)

    - #### getNodeAttributes

          public abstract Set<org.apache.hadoop.yarn.api.records.NodeAttribute> getNodeAttributes()

    - #### setNodeAttributes

          public abstract void setNodeAttributes(Set<org.apache.hadoop.yarn.api.records.NodeAttribute> nodeAttributes)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.